Server save
Documentation for Server save
Read time 1 minuteLast updated a year ago
Update the game server identified by with the information passed through the parameters. All parameters are optional.
<serverid>https://api.multiplay.co.uk/cfp/v1/server/<serverid>/save
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
serverid | ID of the game server you want to save. | No |
profileid | ID of the profile to change the server to. | Yes |
name | A string of the name to assign to the game server. It can include server variables, such as . | Yes |
active | Perform a server action on the game server. • = Stop the server • = Start the server • = Auto restart (if server has changed) • = Restart the server • = Profile change server stop only If you don't specify an action, the game server will remain in its current state. If you specify a that's different from the profile the game server is currently running, Clanforge will restart the game server to apply the new profile unless you set this parameter to , which will prevent the game server from restarting with a profile change. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
success | boolean | Flag representing whether the action has been successful. | No |
server | object | Server object containing information about the server. | No |
Server object
|
|
|
|
|---|---|---|---|
profileid | integer | ID of the profile the server is currently on. | No |
serverid | integer | ID of the server. | No |
name | string | Name of the game server, this is usually autogenerated at creation time. | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/server/<serverid>/save?profileid=<profileid>&active=<active>&name=<name>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "success": true, "server": { "profileid": <profileid>, "serverid": <serverid>, "name": <name> }}